gnutls_psk_allocate_server_credentials2(3)

NAME
gnutls_psk_allocate_server_credentials2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_allocate_server_credentials2(gnutls_psk_server_credentials_t * sc, gnutls_mac_algorithm_t mac);

ARGUMENTS

gnutls_psk_server_credentials_t * sc
    is a pointer to a gnutls_psk_server_credentials_t type.

gnutls_mac_algorithm_t mac
    encryption algorithm to use

DESCRIPTION
Allocate a gnutls_psk_server_credentials_t structure and initializes the HMAC binder algorithm to mac . If mac is set to GNUTLS_MAC_UNKNOWN both possible algorithms SHA384 and SHA256 are applied to find a matching binder value.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/